Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 134900 - Double free()s in x11vnc after authentication
Summary: Double free()s in x11vnc after authentication
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Auditing (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-30 03:47 UTC by Wolf Giesen (RETIRED)
Modified: 2007-01-06 17:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolf Giesen (RETIRED) gentoo-dev 2006-05-30 03:47:02 UTC
I'm getting double free() crashes on x11vnc [x86, x11vnc-0.7.1-r] during network traffic after authentication. Happens quite often, actually.

Scenario: x11vnc on one machine; I ssh into the machine with a tunnel from localhost:5900 to destination:5900 and then use 'vncviewer -encodings "tight hextile" localhost' to get the VNC display. I let it run for a while (often, 20 seconds is enough) until it crashes with a double free().

Might be worth a look, thank you!
Comment 1 Wolf Giesen (RETIRED) gentoo-dev 2006-05-30 04:06:58 UTC
Additional note: this usually occurs on a very unreliable line, so I guess it' pretty much "faulty packets only".
Comment 2 SpanKY gentoo-dev 2006-06-10 06:00:52 UTC
i use x11vnc-0.8.x in the same exact scenario (and have been for months), but i havent hit this bug before ...

ssh from work to home with 5900 local port forwarding ... run x11vnc on home machine and connect to it from work ...
Comment 3 Wolf Giesen (RETIRED) gentoo-dev 2006-06-11 22:56:54 UTC
I'll try to figure out some more environment parameters to make this testable, although it was actually a plea for some auditing.
Comment 4 SpanKY gentoo-dev 2006-06-15 20:00:07 UTC
well 0.8 is now stable ...
Comment 5 Wolf Giesen (RETIRED) gentoo-dev 2006-06-15 22:48:07 UTC
Ah, I'll check it out.
Comment 6 Sune Kloppenborg Jeppesen gentoo-dev 2006-06-16 11:22:42 UTC
Wolf any news on this one?
Comment 7 Wolf Giesen (RETIRED) gentoo-dev 2006-06-18 03:09:01 UTC
Could not reproduce it with 0.8.1 yet.
Comment 8 Wolf Giesen (RETIRED) gentoo-dev 2006-06-30 09:36:45 UTC
... in like "it obviously doesn't happen with 0.8.1"
Comment 9 Wolf Giesen (RETIRED) gentoo-dev 2006-08-03 03:46:24 UTC
Since we're going to have 0.8.2 stable soon, I'll silently close this one.
Comment 10 Wolf Giesen (RETIRED) gentoo-dev 2006-08-03 03:46:48 UTC
-closed